Skip to main content
GET
/
api
/
v1
/
thumbnails
/
{lookup_key}
Thumbnails
import requests

url = "https://www.datalab.to/api/v1/thumbnails/{lookup_key}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "thumbnails": [
    "<string>"
  ],
  "success": true,
  "error": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

lookup_key
string
required

Query Parameters

page_range
string | null
thumb_width
integer
default:300
track_changes
boolean
default:false

Cookies

wos-session
string
access_token
string
datalab_active_team
string

Response

Successful Response

thumbnails
string[] | null
required

A list of base64 encoded thumbnail images. Images are in JPG format. Set to None when there is an error.

success
boolean
default:true

Whether the request was successful.

error
string | null

If the request was not successful, this will contain an error message.